# Vacation Planner

B/c when2meet didn't serve this need

## API

`GET` `/vactaion/api/`
Returns
```json
{ "status": "healthy" }
```

`GET` `/vacation/api/availability`
Returns
```json
{
    "availability": [
        {
            "month": 6,
            "day": 1,
            "availability": [
                {
                    "name": "string",
                    "status": "yes/maybe/no/unknown"
                }
            ]
        }
    ],
    "lastUpdated": "string"
}
```

`POST` `/vacation/api/availability`
Accepts
```json
{
    "name": "string",
    "availability": [
        {
            "month": 6,
            "day": 1,
            "status": "yes/maybe/no/unknown"
        }
    ]
}
```
Returns
200 - If the data was accepted, with a JSON body equivalent to the `GET` above
400 - Malformed request